# Record Class CASessionSecretIdentifier

java.lang.Object
java.lang.Record
com.io7m.cardant.server.service.sessions.CASessionSecretIdentifier

Record Components:
  `value` - The identifier

public record CASessionSecretIdentifier(String value) extends Record
A session identifier. This value is expected to be treated as a secret, as getting access to someone's session identifier allows access to the server authenticated as that user.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CASessionSecretIdentifier(String value)`
  A session identifier.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `static CASessionSecretIdentifier`
  `generate()`
  Generate a random identifier.
  `static CASessionSecretIdentifier`
  `generate(SecureRandom rng)`
  Generate a random identifier.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `toString()`
  Returns a string representation of this record class.
  `String`
  `value()`
  Returns the value of the `value` record component.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CASessionSecretIdentifier

    public CASessionSecretIdentifier(String value)
    A session identifier. This value is expected to be treated as a secret, as getting access to someone's session identifier allows access to the server authenticated as that user.
    Parameters:
      `value` - The identifier

- ## Method Details

  - ### toString

    public String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### generate

    public static CASessionSecretIdentifier generate()
    Generate a random identifier.
    Returns:
      The identifier

  - ### generate

    public static CASessionSecretIdentifier generate(SecureRandom rng)
    Generate a random identifier.
    Parameters:
      `rng` - A random number generator
    Returns:
      The identifier

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### value

    public String value()
    Returns the value of the `value` record component.
    Returns:
      the value of the `value` record component